# Gimp.Image.prototype.get_layers

    function get_layers(): Array(Gimp.Layer) {
        // Gjs wrapper for gimp_image_get_layers()
    }

Returns the list of root layers contained in the specified image.

This procedure returns the list of root layers contained in the specified image. The order of layers is from topmost to bottommost. Note that this is not the full list of layers, but only the root layers, i.e. layers with no parents themselves. If you need all layers, it is up to you to verify that any of these layers is a group layer with Gimp.Item.prototype.is_group and to obtain its children with Gimp.Item.prototype.get_children (possibly recursively checking if these have children too).

Returns

  The list of layers contained in the image. The returned value must be freed with g_free().